Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface WebContainerAvailabilityConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface WebContainerAvailabilityConfig
extends ConfigElement, PropertiesAccess

Configuration for the <web-container-availability> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Method Summary
`boolean` | `getAvailabilityEnabled()`
`java.lang.String` | `getHTTPSessionStorePoolName()`
`java.lang.String` | `getPersistenceFrequency()`
`java.lang.String` | `getPersistenceScope()` See `SessionSaveScopeValues`.
`boolean` | `getPersistenceStoreHealthCheckEnabled()`
`java.lang.String` | `getPersistenceType()`
`boolean` | `getSSOFailoverEnabled()`
`void` | `setAvailabilityEnabled(boolean value)`
`void` | `setHTTPSessionStorePoolName(java.lang.String value)`
`void` | `setPersistenceFrequency(java.lang.String value)` See `SessionSaveFrequencyValues`.
`void` | `setPersistenceScope(java.lang.String value)` See `SessionSaveScopeValues`.
`void` | `setPersistenceStoreHealthCheckEnabled(boolean value)`
`void` | `setPersistenceType(java.lang.String value)` See `PersistenceTypeValues`.
`void` | `setSSOFailoverEnabled(boolean value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAvailabilityEnabled

    public boolean getAvailabilityEnabled()

### setAvailabilityEnabled

    public void setAvailabilityEnabled(boolean value)

### getHTTPSessionStorePoolName

    public java.lang.String getHTTPSessionStorePoolName()

### setHTTPSessionStorePoolName

    public void setHTTPSessionStorePoolName(java.lang.String value)

### getPersistenceFrequency

    public java.lang.String getPersistenceFrequency()

### setPersistenceFrequency

    public void setPersistenceFrequency(java.lang.String value)

  See `SessionSaveFrequencyValues`.

### getPersistenceScope

    public java.lang.String getPersistenceScope()

  See `SessionSaveScopeValues`.

### setPersistenceScope

    public void setPersistenceScope(java.lang.String value)

  See `SessionSaveScopeValues`.

### getPersistenceStoreHealthCheckEnabled

    public boolean getPersistenceStoreHealthCheckEnabled()

### setPersistenceStoreHealthCheckEnabled

    public void setPersistenceStoreHealthCheckEnabled(boolean value)

### getPersistenceType

    public java.lang.String getPersistenceType()

### setPersistenceType

    public void setPersistenceType(java.lang.String value)

  See `PersistenceTypeValues`.

### getSSOFailoverEnabled

    public boolean getSSOFailoverEnabled()

### setSSOFailoverEnabled

    public void setSSOFailoverEnabled(boolean value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.